<div id="shopping-cart" class="page-layout simple fullwidth" fusePerfectScrollbar>

  <!-- HEADER -->
  <div class="header secondColorBrand p-24" fxLayout="row" [ngClass]="secondColorBrand" fxLayoutAlign="start center"
      fxLayoutGap="10px">
      <mat-icon class="white-fg">shopping_cart</mat-icon>
      <h2 class="white-fg">Meu Carrinho</h2>
  </div>
  <!-- / HEADER -->

  <!-- CONTENT -->
  <div class="content p-24 mat-white-bg">

    <div fxLayout="row" fxLayoutAlign="start center">

      <!-- PRODUCTS -->
      <div fxFlex="70">

        <div class="tab-content p-24" fusePerfectScrollbar>
          <table *ngIf="cartItens.length > 0" class="simple products-table">
              <thead [ngClass]="primaryColorBrand">
                  <tr>
                      <th class='white-fg'>Oferta</th>
                      <th class='white-fg'>Preço</th>
                      <th class='white-fg'>Quantidade</th>
                      <th>&nbsp;</th>
                  </tr>
              </thead>
              <tbody>
                  <tr class="product-row" *ngFor="let item of cartItens">
                      <td>
                          {{item.offer.name}}
                      </td>
                      <td class="w-30">
                        {{item.offer.agreement == "LEASE" ? (item.offer.leaseAccessionPrice | currency:'BRL':true) : item.offer.agreement == "SALE" ? (item.offer.salePrice | currency:'BRL':true) : ( 0 | currency:'BRL':true)}}
                      </td>
                      <td class="w-20">
                          <input matInput type="number" min="20" value="{{item.quantity}}" [formControl]="rateControl" (change)='itemQuantityOnChange(item, $event.target.value)'>
                      </td>
                      <td class="w-10 remove-product">
                          <mat-icon (click)="removeCartItem(item)">delete</mat-icon>
                      </td>
                  </tr>
              </tbody>
          </table>

          <div fxLayout="row" fxLayoutAlign="start center" *ngIf="cartItens.length == 0">
            <p>Seu carrinho de compras está vazio</p>
          </div>
      </div>        

      </div>
      <!-- / PRODUCTS -->

      <!-- SUMMARY -->
      <div fxFlex="30">
        <div class="summary">
          <mat-card >
            <mat-card-header>
              <mat-card-title style="text-align:center">Resumo Compra</mat-card-title>
            </mat-card-header>
           
            <mat-card-content>
              <div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="10px">
                <div fxFlex="70">
                    &nbsp;&nbsp;Subtotal
                </div>
                <div fxFlex="30">
                  {{subtotalPrice ? (subtotalPrice | currency:'BRL':true) : (0 | currency:'BRL':true)}}
                </div>
              </div>
            </mat-card-content>
          </mat-card>

          <div class="actions" fxLayout="column" fxLayoutAlign="start end" fxLayoutGap="10px" >
            <button type="button" color="primary" class="buttons" mat-raised-button [disabled]="!cartItens || cartItens.length == 0" (click)="doCheckout()">{{ cartItens[0].offer.agreement == 'LEASE' ? 'Contratar' : cartItens[0].offer.agreement == 'SALE' ? 'Confirmar Compra' : 'Confirmar Aluguel'}}</button>
            <!-- <button type="button" class="buttons" mat-raised-button (click)="buyMore()">Comprar mais produtos</button> -->                                
          </div>
        </div>
      </div>
      <!-- / SUMMARY -->

    </div>

    

  </div>
  <!-- / CONTENT -->

</div>
